E-MailRelay

Classes
GSsl::OpenSSL Namespace Reference

A namespace for implementing the GSsl interface using the OpenSSL library. More...

## Classes
class | Certificate
| Holds a certificate taken from an OpenSSL X509 structure. More...
class | CertificateChain
| Holds a certificate chain taken from a stack of OpenSSL X509 structures. More...
class | Config
| Holds protocol version information, etc. More...
class | DigesterImp
| An implementation of the GSsl::DigesterImpBase interface for OpenSSL. More...
class | Error
| An exception class for GSsl::OpenSSL classes. More...
class | LibraryImp
| An implementation of the GSsl::LibraryImpBase interface for OpenSSL. More...
class | ProfileImp
| An implementation of the GSsl::Profile interface for OpenSSL. More...
class | ProtocolImp
| An implementation of the GSsl::ProtocolImpBase interface for OpenSSL. More...

## Detailed Description

A namespace for implementing the GSsl interface using the OpenSSL library.